# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: solarmodule/solarmodule.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import uml_pb2 as uml__pb2
from google.protobuf import wrappers_pb2 as google_dot_protobuf_dot_wrappers__pb2
from commonmodule import commonmodule_pb2 as commonmodule_dot_commonmodule__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x1dsolarmodule/solarmodule.proto\x12\x0bsolarmodule\x1a\tuml.proto\x1a\x1egoogle/protobuf/wrappers.proto\x1a\x1f\x63ommonmodule/commonmodule.proto\"U\n\rSolarInverter\x12\x44\n\x13\x63onductingEquipment\x18\x01 \x01(\x0b\x32!.commonmodule.ConductingEquipmentB\x04\x80\xb5\x18\x01\"x\n\x1cSolarCapabilityConfiguration\x12X\n\x1dsourceCapabilityConfiguration\x18\x01 \x01(\x0b\x32+.commonmodule.SourceCapabilityConfigurationB\x04\x80\xb5\x18\x01\"\xb4\x01\n\x17SolarCapabilityOverride\x12>\n\x10identifiedObject\x18\x01 \x01(\x0b\x32\x1e.commonmodule.IdentifiedObjectB\x04\x80\xb5\x18\x01\x12Y\n\x1csolarCapabilityConfiguration\x18\x02 \x01(\x0b\x32).solarmodule.SolarCapabilityConfigurationB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\xfe\x01\n\x1eSolarCapabilityOverrideProfile\x12H\n\x15\x63\x61pabilityMessageInfo\x18\x01 \x01(\x0b\x32#.commonmodule.CapabilityMessageInfoB\x04\x80\xb5\x18\x01\x12O\n\x17solarCapabilityOverride\x18\x02 \x01(\x0b\x32$.solarmodule.SolarCapabilityOverrideB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\rsolarInverter\x18\x03 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"f\n\x16SolarCapabilityRatings\x12L\n\x17sourceCapabilityRatings\x18\x01 \x01(\x0b\x32%.commonmodule.SourceCapabilityRatingsB\x04\x80\xb5\x18\x01\"\xed\x01\n\x0fSolarCapability\x12:\n\x0enameplateValue\x18\x01 \x01(\x0b\x32\x1c.commonmodule.NameplateValueB\x04\x80\xb5\x18\x01\x12O\n\x1csolarCapabilityConfiguration\x18\x02 \x01(\x0b\x32).solarmodule.SolarCapabilityConfiguration\x12M\n\x16solarCapabilityRatings\x18\x03 \x01(\x0b\x32#.solarmodule.SolarCapabilityRatingsB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\xe6\x01\n\x16SolarCapabilityProfile\x12H\n\x15\x63\x61pabilityMessageInfo\x18\x01 \x01(\x0b\x32#.commonmodule.CapabilityMessageInfoB\x04\x80\xb5\x18\x01\x12?\n\x0fsolarCapability\x18\x02 \x01(\x0b\x32\x1c.solarmodule.SolarCapabilityB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\rsolarInverter\x18\x03 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xb9\x06\n\nSolarPoint\x12\x33\n\x04mode\x18\x02 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\x12)\n\trampRates\x18\x05 \x01(\x0b\x32\x16.commonmodule.RampRate\x12\'\n\x05reset\x18\x08 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12/\n\x05state\x18\t \x01(\x0b\x32 .commonmodule.Optional_StateKind\x12<\n\x15\x65nterServiceOperation\x18\x0c \x01(\x0b\x32\x1d.commonmodule.EnterServiceAPC\x12*\n\x0chzWOperation\x18\r \x01(\x0b\x32\x14.commonmodule.HzWAPC\x12\x30\n\x0flimitWOperation\x18\x0e \x01(\x0b\x32\x17.commonmodule.LimitWAPC\x12(\n\x0bpFOperation\x18\x0f \x01(\x0b\x32\x13.commonmodule.PFSPC\x12\x30\n\x11tmHzTripOperation\x18\x10 \x01(\x0b\x32\x15.commonmodule.TmHzCSG\x12\x34\n\x13tmVoltTripOperation\x18\x11 \x01(\x0b\x32\x17.commonmodule.TmVoltCSG\x12*\n\x0cvArOperation\x18\x12 \x01(\x0b\x32\x14.commonmodule.VarSPC\x12\x32\n\x10voltVarOperation\x18\x13 \x01(\x0b\x32\x18.commonmodule.VoltVarCSG\x12.\n\x0evoltWOperation\x18\x14 \x01(\x0b\x32\x16.commonmodule.VoltWCSG\x12,\n\rwVarOperation\x18\x15 \x01(\x0b\x32\x15.commonmodule.WVarCSG\x12\x33\n\x11\x62lackStartEnabled\x18\x16 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12&\n\nwOperation\x18\x18 \x01(\x0b\x32\x12.commonmodule.WSPCJ\x04\x08\x01\x10\x02J\x04\x08\x03\x10\x04J\x04\x08\x04\x10\x05J\x04\x08\x06\x10\x07J\x04\x08\x07\x10\x08J\x04\x08\x0b\x10\x0cJ\x04\x08\x17\x10\x18\"\x82\x01\n\x0fSolarCurvePoint\x12\x32\n\x07\x63ontrol\x18\x01 \x01(\x0b\x32\x17.solarmodule.SolarPointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\tstartTime\x18\x02 \x01(\x0b\x32\x1e.commonmodule.ControlTimestampB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"B\n\x08SolarCSG\x12\x36\n\x06\x63rvPts\x18\x01 \x03(\x0b\x32\x1c.solarmodule.SolarCurvePointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"L\n\x18SolarControlScheduleFSCH\x12\x30\n\x07ValDCSG\x18\x01 \x01(\x0b\x32\x15.solarmodule.SolarCSGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\x91\x01\n\x10SolarControlFSCC\x12\x34\n\x0b\x63ontrolFSCC\x18\x01 \x01(\x0b\x32\x19.commonmodule.ControlFSCCB\x04\x80\xb5\x18\x01\x12G\n\x18SolarControlScheduleFSCH\x18\x02 \x01(\x0b\x32%.solarmodule.SolarControlScheduleFSCH\"\xad\x01\n\x0cSolarControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12\x37\n\x10solarControlFSCC\x18\x03 \x01(\x0b\x32\x1d.solarmodule.SolarControlFSCC\"\xd7\x01\n\x13SolarControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12\x39\n\x0csolarControl\x18\x02 \x01(\x0b\x32\x19.solarmodule.SolarControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\rsolarInverter\x18\x03 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x8c\x01\n\x16SolarDiscreteControlPV\x12H\n\x15logicalNodeForControl\x18\x01 \x01(\x0b\x32#.commonmodule.LogicalNodeForControlB\x04\x80\xb5\x18\x01\x12(\n\x07\x63ontrol\x18\x02 \x01(\x0b\x32\x17.solarmodule.SolarPoint\"\xc1\x01\n\x14SolarDiscreteControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12\x43\n\x16solarDiscreteControlPV\x18\x03 \x01(\x0b\x32#.solarmodule.SolarDiscreteControlPV\"\xef\x01\n\x1bSolarDiscreteControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12I\n\x14solarDiscreteControl\x18\x02 \x01(\x0b\x32!.solarmodule.SolarDiscreteControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\rsolarInverter\x18\x03 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xc3\x08\n\x10SolarPointStatus\x12\x39\n\x18\x66requencySetPointEnabled\x18\x01 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x33\n\x04mode\x18\x02 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\x12/\n\npctHzDroop\x18\x03 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12.\n\tpctVDroop\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12)\n\trampRates\x18\x05 \x01(\x0b\x32\x16.commonmodule.RampRate\x12;\n\x1areactivePwrSetPointEnabled\x18\x06 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x37\n\x16realPwrSetPointEnabled\x18\x07 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12/\n\x05state\x18\x08 \x01(\x0b\x32 .commonmodule.Optional_StateKind\x12\x37\n\x16voltageSetPointEnabled\x18\t \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x33\n\x11\x62lackStartEnabled\x18\n \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12<\n\x15\x65nterServiceOperation\x18\x0b \x01(\x0b\x32\x1d.commonmodule.EnterServiceAPC\x12,\n\x0chzWOperation\x18\x0c \x01(\x0b\x32\x16.commonmodule.HzWPoint\x12\x30\n\x0flimitWOperation\x18\r \x01(\x0b\x32\x17.commonmodule.LimitWAPC\x12(\n\x0bpFOperation\x18\x0e \x01(\x0b\x32\x13.commonmodule.PFSPC\x12\x30\n\x0esyncBackToGrid\x18\x0f \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12\x30\n\x11tmHzTripOperation\x18\x10 \x01(\x0b\x32\x15.commonmodule.TmHzCSG\x12\x34\n\x13tmVoltTripOperation\x18\x11 \x01(\x0b\x32\x17.commonmodule.TmVoltCSG\x12*\n\x0cvArOperation\x18\x12 \x01(\x0b\x32\x14.commonmodule.VarSPC\x12\x32\n\x10voltVarOperation\x18\x13 \x01(\x0b\x32\x18.commonmodule.VoltVarCSG\x12.\n\x0evoltWOperation\x18\x14 \x01(\x0b\x32\x16.commonmodule.VoltWCSG\x12,\n\rwVarOperation\x18\x15 \x01(\x0b\x32\x15.commonmodule.WVarCSG\"\xce\x04\n\x17SolarEventAndStatusZGEN\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12)\n\x08\x41uxPwrSt\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x36\n\x0b\x44ynamicTest\x18\x03 \x01(\x0b\x32!.commonmodule.ENS_DynamicTestKind\x12(\n\x07\x45mgStop\x18\x04 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x32\n\x0bPointStatus\x18\x05 \x01(\x0b\x32\x1d.solarmodule.SolarPointStatus\x12-\n\x04\x41lrm\x18\x06 \x01(\x0b\x32\x1f.commonmodule.Optional_AlrmKind\x12(\n\x07GnSynSt\x18\x07 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12K\n\x13GridConnectionState\x18\x08 \x01(\x0b\x32..commonmodule.Optional_GridConnectionStateKind\x12\x31\n\x0bManAlrmInfo\x18\t \x01(\x0b\x32\x1c.google.protobuf.StringValue\x12\x41\n\x0eOperatingState\x18\n \x01(\x0b\x32).commonmodule.Optional_OperatingStateKind\"\x94\x01\n\x0eSolarEventZGEN\x12K\n\x17solarEventAndStatusZGEN\x18\x01 \x01(\x0b\x32$.solarmodule.SolarEventAndStatusZGENB\x04\x80\xb5\x18\x01\x12\x35\n\x06GriMod\x18\x02 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\"u\n\nSolarEvent\x12\x32\n\neventValue\x18\x01 \x01(\x0b\x32\x18.commonmodule.EventValueB\x04\x80\xb5\x18\x01\x12\x33\n\x0esolarEventZGEN\x18\x02 \x01(\x0b\x32\x1b.solarmodule.SolarEventZGEN\"\xcd\x01\n\x11SolarEventProfile\x12>\n\x10\x65ventMessageInfo\x18\x01 \x01(\x0b\x32\x1e.commonmodule.EventMessageInfoB\x04\x80\xb5\x18\x01\x12\x35\n\nsolarEvent\x18\x02 \x01(\x0b\x32\x17.solarmodule.SolarEventB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\rsolarInverter\x18\x03 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xfe\x01\n\x0cSolarReading\x12\x62\n\"conductingEquipmentTerminalReading\x18\x01 \x01(\x0b\x32\x30.commonmodule.ConductingEquipmentTerminalReadingB\x04\x80\xb5\x18\x01\x12*\n\tphaseMMTN\x18\x02 \x01(\x0b\x32\x17.commonmodule.PhaseMMTN\x12.\n\x0breadingMMTR\x18\x03 \x01(\x0b\x32\x19.commonmodule.ReadingMMTR\x12.\n\x0breadingMMXU\x18\x04 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\"\xd7\x01\n\x13SolarReadingProfile\x12\x42\n\x12readingMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ReadingMessageInfoB\x04\x80\xb5\x18\x01\x12;\n\rsolarInverter\x18\x02 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x39\n\x0csolarReading\x18\x03 \x01(\x0b\x32\x19.solarmodule.SolarReadingB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x95\x01\n\x0fSolarStatusZGEN\x12K\n\x17solarEventAndStatusZGEN\x18\x01 \x01(\x0b\x32$.solarmodule.SolarEventAndStatusZGENB\x04\x80\xb5\x18\x01\x12\x35\n\x06GriMod\x18\x02 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\"z\n\x0bSolarStatus\x12\x34\n\x0bstatusValue\x18\x01 \x01(\x0b\x32\x19.commonmodule.StatusValueB\x04\x80\xb5\x18\x01\x12\x35\n\x0fsolarStatusZGEN\x18\x02 \x01(\x0b\x32\x1c.solarmodule.SolarStatusZGEN\"\xd2\x01\n\x12SolarStatusProfile\x12@\n\x11statusMessageInfo\x18\x01 \x01(\x0b\x32\x1f.commonmodule.StatusMessageInfoB\x04\x80\xb5\x18\x01\x12;\n\rsolarInverter\x18\x02 \x01(\x0b\x32\x1a.solarmodule.SolarInverterB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x37\n\x0bsolarStatus\x18\x03 \x01(\x0b\x32\x18.solarmodule.SolarStatusB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\x42\x81\x01\n\x13openfmb.solarmoduleP\x01ZRgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/solarmodule\xaa\x02\x13openfmb.solarmoduleb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'solarmodule.solarmodule_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\023openfmb.solarmoduleP\001ZRgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/solarmodule\252\002\023openfmb.solarmodule'
  _SOLARINVERTER.fields_by_name['conductingEquipment']._options = None
  _SOLARINVERTER.fields_by_name['conductingEquipment']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITYCONFIGURATION.fields_by_name['sourceCapabilityConfiguration']._options = None
  _SOLARCAPABILITYCONFIGURATION.fields_by_name['sourceCapabilityConfiguration']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITYOVERRIDE.fields_by_name['identifiedObject']._options = None
  _SOLARCAPABILITYOVERRIDE.fields_by_name['identifiedObject']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITYOVERRIDE.fields_by_name['solarCapabilityConfiguration']._options = None
  _SOLARCAPABILITYOVERRIDE.fields_by_name['solarCapabilityConfiguration']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['capabilityMessageInfo']._options = None
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['capabilityMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['solarCapabilityOverride']._options = None
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['solarCapabilityOverride']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARCAPABILITYOVERRIDEPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYOVERRIDEPROFILE._options = None
  _SOLARCAPABILITYOVERRIDEPROFILE._serialized_options = b'\300\363\030\001'
  _SOLARCAPABILITYRATINGS.fields_by_name['sourceCapabilityRatings']._options = None
  _SOLARCAPABILITYRATINGS.fields_by_name['sourceCapabilityRatings']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITY.fields_by_name['nameplateValue']._options = None
  _SOLARCAPABILITY.fields_by_name['nameplateValue']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITY.fields_by_name['solarCapabilityRatings']._options = None
  _SOLARCAPABILITY.fields_by_name['solarCapabilityRatings']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYPROFILE.fields_by_name['capabilityMessageInfo']._options = None
  _SOLARCAPABILITYPROFILE.fields_by_name['capabilityMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARCAPABILITYPROFILE.fields_by_name['solarCapability']._options = None
  _SOLARCAPABILITYPROFILE.fields_by_name['solarCapability']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARCAPABILITYPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCAPABILITYPROFILE._options = None
  _SOLARCAPABILITYPROFILE._serialized_options = b'\300\363\030\001'
  _SOLARCURVEPOINT.fields_by_name['control']._options = None
  _SOLARCURVEPOINT.fields_by_name['control']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCURVEPOINT.fields_by_name['startTime']._options = None
  _SOLARCURVEPOINT.fields_by_name['startTime']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCSG.fields_by_name['crvPts']._options = None
  _SOLARCSG.fields_by_name['crvPts']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._options = None
  _SOLARCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCONTROLFSCC.fields_by_name['controlFSCC']._options = None
  _SOLARCONTROLFSCC.fields_by_name['controlFSCC']._serialized_options = b'\200\265\030\001'
  _SOLARCONTROL.fields_by_name['controlValue']._options = None
  _SOLARCONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _SOLARCONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _SOLARCONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARCONTROLPROFILE.fields_by_name['solarControl']._options = None
  _SOLARCONTROLPROFILE.fields_by_name['solarControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCONTROLPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARCONTROLPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARCONTROLPROFILE._options = None
  _SOLARCONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _SOLARDISCRETECONTROLPV.fields_by_name['logicalNodeForControl']._options = None
  _SOLARDISCRETECONTROLPV.fields_by_name['logicalNodeForControl']._serialized_options = b'\200\265\030\001'
  _SOLARDISCRETECONTROL.fields_by_name['controlValue']._options = None
  _SOLARDISCRETECONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['solarDiscreteControl']._options = None
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['solarDiscreteControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARDISCRETECONTROLPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARDISCRETECONTROLPROFILE._options = None
  _SOLARDISCRETECONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _SOLAREVENTANDSTATUSZGEN.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _SOLAREVENTANDSTATUSZGEN.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _SOLAREVENTZGEN.fields_by_name['solarEventAndStatusZGEN']._options = None
  _SOLAREVENTZGEN.fields_by_name['solarEventAndStatusZGEN']._serialized_options = b'\200\265\030\001'
  _SOLAREVENT.fields_by_name['eventValue']._options = None
  _SOLAREVENT.fields_by_name['eventValue']._serialized_options = b'\200\265\030\001'
  _SOLAREVENTPROFILE.fields_by_name['eventMessageInfo']._options = None
  _SOLAREVENTPROFILE.fields_by_name['eventMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLAREVENTPROFILE.fields_by_name['solarEvent']._options = None
  _SOLAREVENTPROFILE.fields_by_name['solarEvent']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLAREVENTPROFILE.fields_by_name['solarInverter']._options = None
  _SOLAREVENTPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLAREVENTPROFILE._options = None
  _SOLAREVENTPROFILE._serialized_options = b'\300\363\030\001'
  _SOLARREADING.fields_by_name['conductingEquipmentTerminalReading']._options = None
  _SOLARREADING.fields_by_name['conductingEquipmentTerminalReading']._serialized_options = b'\200\265\030\001'
  _SOLARREADINGPROFILE.fields_by_name['readingMessageInfo']._options = None
  _SOLARREADINGPROFILE.fields_by_name['readingMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARREADINGPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARREADINGPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARREADINGPROFILE.fields_by_name['solarReading']._options = None
  _SOLARREADINGPROFILE.fields_by_name['solarReading']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARREADINGPROFILE._options = None
  _SOLARREADINGPROFILE._serialized_options = b'\300\363\030\001'
  _SOLARSTATUSZGEN.fields_by_name['solarEventAndStatusZGEN']._options = None
  _SOLARSTATUSZGEN.fields_by_name['solarEventAndStatusZGEN']._serialized_options = b'\200\265\030\001'
  _SOLARSTATUS.fields_by_name['statusValue']._options = None
  _SOLARSTATUS.fields_by_name['statusValue']._serialized_options = b'\200\265\030\001'
  _SOLARSTATUSPROFILE.fields_by_name['statusMessageInfo']._options = None
  _SOLARSTATUSPROFILE.fields_by_name['statusMessageInfo']._serialized_options = b'\200\265\030\001'
  _SOLARSTATUSPROFILE.fields_by_name['solarInverter']._options = None
  _SOLARSTATUSPROFILE.fields_by_name['solarInverter']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARSTATUSPROFILE.fields_by_name['solarStatus']._options = None
  _SOLARSTATUSPROFILE.fields_by_name['solarStatus']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _SOLARSTATUSPROFILE._options = None
  _SOLARSTATUSPROFILE._serialized_options = b'\300\363\030\001'
  _globals['_SOLARINVERTER']._serialized_start=122
  _globals['_SOLARINVERTER']._serialized_end=207
  _globals['_SOLARCAPABILITYCONFIGURATION']._serialized_start=209
  _globals['_SOLARCAPABILITYCONFIGURATION']._serialized_end=329
  _globals['_SOLARCAPABILITYOVERRIDE']._serialized_start=332
  _globals['_SOLARCAPABILITYOVERRIDE']._serialized_end=512
  _globals['_SOLARCAPABILITYOVERRIDEPROFILE']._serialized_start=515
  _globals['_SOLARCAPABILITYOVERRIDEPROFILE']._serialized_end=769
  _globals['_SOLARCAPABILITYRATINGS']._serialized_start=771
  _globals['_SOLARCAPABILITYRATINGS']._serialized_end=873
  _globals['_SOLARCAPABILITY']._serialized_start=876
  _globals['_SOLARCAPABILITY']._serialized_end=1113
  _globals['_SOLARCAPABILITYPROFILE']._serialized_start=1116
  _globals['_SOLARCAPABILITYPROFILE']._serialized_end=1346
  _globals['_SOLARPOINT']._serialized_start=1349
  _globals['_SOLARPOINT']._serialized_end=2174
  _globals['_SOLARCURVEPOINT']._serialized_start=2177
  _globals['_SOLARCURVEPOINT']._serialized_end=2307
  _globals['_SOLARCSG']._serialized_start=2309
  _globals['_SOLARCSG']._serialized_end=2375
  _globals['_SOLARCONTROLSCHEDULEFSCH']._serialized_start=2377
  _globals['_SOLARCONTROLSCHEDULEFSCH']._serialized_end=2453
  _globals['_SOLARCONTROLFSCC']._serialized_start=2456
  _globals['_SOLARCONTROLFSCC']._serialized_end=2601
  _globals['_SOLARCONTROL']._serialized_start=2604
  _globals['_SOLARCONTROL']._serialized_end=2777
  _globals['_SOLARCONTROLPROFILE']._serialized_start=2780
  _globals['_SOLARCONTROLPROFILE']._serialized_end=2995
  _globals['_SOLARDISCRETECONTROLPV']._serialized_start=2998
  _globals['_SOLARDISCRETECONTROLPV']._serialized_end=3138
  _globals['_SOLARDISCRETECONTROL']._serialized_start=3141
  _globals['_SOLARDISCRETECONTROL']._serialized_end=3334
  _globals['_SOLARDISCRETECONTROLPROFILE']._serialized_start=3337
  _globals['_SOLARDISCRETECONTROLPROFILE']._serialized_end=3576
  _globals['_SOLARPOINTSTATUS']._serialized_start=3579
  _globals['_SOLARPOINTSTATUS']._serialized_end=4670
  _globals['_SOLAREVENTANDSTATUSZGEN']._serialized_start=4673
  _globals['_SOLAREVENTANDSTATUSZGEN']._serialized_end=5263
  _globals['_SOLAREVENTZGEN']._serialized_start=5266
  _globals['_SOLAREVENTZGEN']._serialized_end=5414
  _globals['_SOLAREVENT']._serialized_start=5416
  _globals['_SOLAREVENT']._serialized_end=5533
  _globals['_SOLAREVENTPROFILE']._serialized_start=5536
  _globals['_SOLAREVENTPROFILE']._serialized_end=5741
  _globals['_SOLARREADING']._serialized_start=5744
  _globals['_SOLARREADING']._serialized_end=5998
  _globals['_SOLARREADINGPROFILE']._serialized_start=6001
  _globals['_SOLARREADINGPROFILE']._serialized_end=6216
  _globals['_SOLARSTATUSZGEN']._serialized_start=6219
  _globals['_SOLARSTATUSZGEN']._serialized_end=6368
  _globals['_SOLARSTATUS']._serialized_start=6370
  _globals['_SOLARSTATUS']._serialized_end=6492
  _globals['_SOLARSTATUSPROFILE']._serialized_start=6495
  _globals['_SOLARSTATUSPROFILE']._serialized_end=6705
# @@protoc_insertion_point(module_scope)
